org.keycloak.federation.ldap

## Class WritableLDAPUserModelDelegate

- java.lang.Object
- - org.keycloak.models.utils.UserModelDelegate
  - - org.keycloak.federation.ldap.WritableLDAPUserModelDelegate

- All Implemented Interfaces:
    RoleMapperModel, UserModel

      public class WritableLDAPUserModelDelegate
      extends UserModelDelegate
      implements UserModel

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.keycloak.models.UserModel

      `UserModel.RequiredAction, UserModel.UserRemovedEvent`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected LDAPObject` | `ldapObject`
    `protected LDAPFederationProvider` | `provider`

    - ### Fields inherited from class org.keycloak.models.utils.UserModelDelegate

      `delegate`

    - ### Fields inherited from interface org.keycloak.models.UserModel

      `EMAIL, FIRST_NAME, LAST_NAME, LOCALE, USERNAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WritableLDAPUserModelDelegate(UserModel delegate, LDAPFederationProvider provider, LDAPObject ldapObject)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `updateCredential(UserCredentialModel cred)`

    - ### Methods inherited from class org.keycloak.models.utils.UserModelDelegate

      `addRequiredAction, addRequiredAction, deleteRoleMapping, getAttribute, getAttributes, getClientRoleMappings, getCreatedTimestamp, getCredentialsDirectly, getDelegate, getEmail, getFederationLink, getFirstAttribute, getFirstName, getGroups, getId, getLastName, getRealmRoleMappings, getRequiredActions, getRoleMappings, getServiceAccountClientLink, getUsername, grantRole, hasRole, isEmailVerified, isEnabled, isMemberOf, isOtpEnabled, joinGroup, leaveGroup, removeAttribute, removeRequiredAction, removeRequiredAction, setAttribute, setCreatedTimestamp, setEmail, setEmailVerified, setEnabled, setFederationLink, setFirstName, setLastName, setOtpEnabled, setServiceAccountClientLink, setSingleAttribute, setUsername, updateCredentialDirectly`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.models.UserModel

      `addRequiredAction, addRequiredAction, getAttribute, getAttributes, getCreatedTimestamp, getCredentialsDirectly, getEmail, getFederationLink, getFirstAttribute, getFirstName, getGroups, getId, getLastName, getRequiredActions, getServiceAccountClientLink, getUsername, isEmailVerified, isEnabled, isMemberOf, isOtpEnabled, joinGroup, leaveGroup, removeAttribute, removeRequiredAction, removeRequiredAction, setAttribute, setCreatedTimestamp, setEmail, setEmailVerified, setEnabled, setFederationLink, setFirstName, setLastName, setOtpEnabled, setServiceAccountClientLink, setSingleAttribute, setUsername, updateCredentialDirectly`

    - ### Methods inherited from interface org.keycloak.models.RoleMapperModel

      `deleteRoleMapping, getClientRoleMappings, getRealmRoleMappings, getRoleMappings, grantRole, hasRole`

- - ### Field Detail

    - #### provider

          protected LDAPFederationProvider provider

    - #### ldapObject

          protected LDAPObject ldapObject

  - ### Constructor Detail

    - #### WritableLDAPUserModelDelegate

          public WritableLDAPUserModelDelegate(UserModel delegate,
                                               LDAPFederationProvider provider,
                                               LDAPObject ldapObject)

  - ### Method Detail

    - #### updateCredential

          public void updateCredential(UserCredentialModel cred)

      Specified by:
        `updateCredential` in interface `UserModel`
      Overrides:
        `updateCredential` in class `UserModelDelegate`

Copyright © 2016 JBoss by Red Hat. All rights reserved.